[package]
name = "file-service"
version = "0.2.0"
authors = ["savanni@luminescent-dreams.com"]
edition = "2018"

# See more keys and their definitions at https://doc.rust-lang.org/cargo/reference/manifest.html

[lib]
name = "file_service"
path = "src/lib.rs"

[[bin]]
name = "file-service"
path = "src/main.rs"

[target.auth-cli.dependencies]

[dependencies]
authdb              = { path = "../authdb/" }
base64ct            = { version = "1", features = [ "alloc" ] }
build_html          = { version = "2" }
bytes               = { version = "1" }
chrono              = { version = "0.4", features = ["serde"] }
clap                = { version = "4", features = [ "derive" ] }
cookie              = { version = "0.17" }
futures-util        = { version = "0.3" }
hex-string          = "0.1.0"
http                = { version = "0.2" }
image               = "0.23.5"
logger              = "*"
log                 = { version = "0.4" }
mime                = "0.3.16"
mime_guess          = "2.0.3"
pretty_env_logger   = { version = "0.5" }
serde_json          = "*"
serde               = { version = "1.0", features = ["derive"] }
sha2                = { version = "0.10" }
thiserror           = { version = "1" }
tokio               = { version = "1", features = [ "full" ] }
uuid                = { version = "0.4", features = [ "serde", "v4" ] }
warp                = { version = "0.3" }

[dev-dependencies]
cool_asserts        = { version = "2" }
tempdir             = { version = "0.3" }

